/*	TRANSPORTER
	Creating Your Web
	www.transporter.at
*/

/*------------------------------------*\
    #BULLETIN
\*------------------------------------*/

.section-bulletin {
  .list-labels {
    margin-bottom: $margin-bottom * 0.5;
  }
}

.section-bulletin-legend {
  //from alien app.scss
  /*
  //Bulletin Filter bar
  .section-bulletin-legend
  .list-avalanche-problems-filter
  a:not(.js-deactivated):hover
  img:first-child {
  opacity: 1;
  }
  */

  &.section-padding {
    padding-top: $all-v-padding * 0.5;
    padding-bottom: 0;
  }
  .section-centered > * {
    font-size: $tiny-font-size; //$body-font-size-tiny;
  }
  p {
    margin-bottom: $padding * 0.5;
    font-size: $tiny-font-size; //$body-font-size-tiny;
    @include letter-spacing;
    strong {
      @include font-heavy;
    }
  }
  img {
    height: $picto-height;
    //max-width: none;//<- why?
    margin: 0;
    @include rollover;
  }

  .list-avalanche-problems-filter {
    padding-top: $padding;
    display: flex;
    flex-wrap: nowrap;
    gap: 0 ($padding * 2);

    li {
      position: relative;
    }
      
    .picto-img {
      transform: translateY(-$padding);
      border: $border-width $border-style $border-color;
      @include rollout;

      img,
      svg {
        opacity: 1;
      }
      &:after {
        z-index: 5;
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        background-color: rgba($brand, 0);
        @include rollout(all, $transition-duration * 2);
      }
    }

    .picto-caption {
      position: relative;
      margin: ($padding * 0.25) (-$padding * 0.9) 0 (-$padding * 0.9);
      font-size: $nano-font-size;
      line-height: 1.2;
      text-align: center;
    }

    a {
      position: relative;
      display: block;
      width: $picto-height;
      // height: $picto-height-plus;
      background: none;

      &:after {
        content: none;
      }

      &:hover {
        .picto-img {
          @include rollover;
          &:after {
            background-color: rgba($brand, 0.05);
            @include rollover(all, $transition-duration * 2);
          }
        }
      }

      &.js-deactivated {
        .picto-img {
          transform: translateY(0);
          img {
            opacity: 0.5;
            filter: grayscale(100%);
          }
        }
        &:hover {
          .picto-img {
            img {
              opacity: 1;
              filter: grayscale(0%);
            }
          }
        }
      }
    }
  }

  .list-legend {
    display: flex;
    margin-bottom: 0;
    li {
      position: relative;
      width: 20%;
      margin-right: $border-width;
      padding: ($bar-width * 3) 0 0 0;
      &:last-child {
        margin-right: 0;
      }
      &:before {
        content: "";
        position: absolute;
        top: 0;
        height: ($bar-width * 2);
        width: 100%;
      }
      span {
        display: block;
        text-align: center;
        @include letter-spacing;
      }
      strong {
        display: block;
      }
    }
    .warning-level-1 {
      &:before {
        @extend .bg-warning-level-1;
      }
    }
    .warning-level-2 {
      &:before {
        @extend .bg-warning-level-2;
      }
    }
    .warning-level-3 {
      &:before {
        @extend .bg-warning-level-3;
      }
    }
    .warning-level-4 {
      &:before {
        @extend .bg-warning-level-4;
      }
    }
    .warning-level-5 {
      &:before {
        @extend .bg-warning-level-5;
      }
    }
  }
}

.bulletin-list {
  margin: 0;
  .bulletin-list-item {
    margin-bottom: $margin-bottom;
    padding: 0;
    &:last-child {
      margin-bottom: 0;
    }
  }
}

//from alien app.scss
// #section-bulletin-report {
//   commented out 'cause it won't select anything anyway
//   @media only screen and (max-width: 57.5em) {
//     .page-main section.section-centered {
//       padding: 0px !important;
//     }
//   }
// }

.bulletin-report-header {
  margin-bottom: $margin-bottom;
  .bulletin-report-header-meta {
    margin-bottom: 0;
    font-size: $tiny-font-size;
    @include letter-spacing;
    strong {
      @include font-heavy;
    }
  }
  .bulletin-report-header-diff {
    font-size: $tiny-font-size;
    font-weight: 600;
    font-size: 0.7rem;
    @include letter-spacing;
    strong {
      @include font-heavy;
    }
  }
}

.bulletin-report-pictobar {
  margin-bottom: $margin-bottom;
  font-size: $tiny-font-size;
  @media #{$normal-up} {
    display: flex;
    flex-wrap: wrap;
  }
}

.bulletin-report-region {
  display: flex;
  margin: 0 $grid-gutter ($padding * 2) 0;
  line-height: 0;
  @media #{$normal-up} {
    display: flex;
    align-self: stretch;
    //max-width: none;//<- why?
    margin-bottom: 0;
  }

  a.img {
    &:before {
      z-index: 10;
      position: absolute;
      left: 50%;
      top: 50%;
      margin-right: 0;
      font-size: 3rem;
      color: $white;
      transform: translate(-50%, 0%);
      opacity: 0;
    }
    &:hover {
      img {
      }
      &:before {
        transform: translate(-50%, -50%);
        opacity: 1;
      }
    }
  }
  img {
    position: relative;
    top: 0;
    max-width: 45vw;
    margin-bottom: 0;
    line-height: 1.4;
    @include box-border;
  }

  @media #{$tiny-up} {
    img {
      max-width: 30vw;
    }
  }
  @media #{$normal-up} {
    a.img {
      display: block;
      align-self: center;
    }
    img {
      max-width: 20vw;
    }
  }
  @media #{$large-up} {
    img {
      max-width: 15vw;
    }
  }
}

.list-bulletin-report-pictos {
  flex-grow: 2;
  align-self: center;
  margin-bottom: 0;
  li {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0;
    border-top: $border-width $border-style $border-color;
    &:first-child {
      > div:first-child {
        padding-right: $padding;
        @media #{$tiny-up} {
          padding-right: $padding * 2;
        }
        border-right: $border-width $border-style $border-color;
      }
      padding-top: 0;
      border-top: none;
    }
    > div {
      position: relative;
      margin-right: $padding;
      @media #{$tiny-up} {
        margin-right: $padding * 2;
      }
      padding: $padding 0;
      &:last-child {
        margin-right: 0;
      }
    }

    &.list-bulletin-report-pictos-trigger {
      @include font-bold;
      @include letter-spacing;
      a {
        display: flex;
        justify-content: flex-start;
        padding: 0.5em 0 0 0;
      }
    }
  }
}

.bulletin-report-picto {
  display: flex;
  @include font-heavy;
  @include letter-spacing;

  > a {
    &:link,
    &:visited {
      display: flex;
      color: $text-color;
    }
    &:hover,
    &:active {
      color: $anchor-font-color-hover;
    }
  }
  img,
  svg {
    height: $picto-height;
    //max-width: none;//<- why?
    margin: 0;
  }
  span {
    align-self: center;
    margin: 0.6em 0 0 0.5em;
    line-height: 1;
    white-space: nowrap;
  }

  &.avalanche-situation {

    .picto-img {
      position: relative;
      border: $border-width $border-style $border-color;
      @include rollout;
      img,
      svg {
        max-width: none;
        height: $picto-height;
        margin: 0;
      }
      &:after {
        z-index: 5;
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        background-color: rgba($brand, 0);
        @include rollout(all, $transition-duration * 2);
      }
    }

    .picto-caption {
      position: relative;
      max-width: $picto-height + $padding * 1.8;
      margin: ($padding * 0.25) (-$padding * 0.9) 0 (-$padding * 0.9);
      @include font-normal;
      @include letter-spacing(0);
      font-size: $nano-font-size;
      line-height: 1.2;
      text-align: center;
    }
    
    > a {
      &:link,
      &:visited {
        display: block;
        &:after {
          content: none;
        }
      }
      &:hover {
        .picto-img {
          @include rollover;
          &:after {
            background-color: rgba($brand, 0.05);
            @include rollover(all, $transition-duration * 2);
          }
        }
      }
    }
  }

  &.problem-altitude {
    img,
    svg {
      height: $picto-height-minus;
    }
    span {
      position: relative;
      @media screen and (max-width: #{lower-bound($tiny-range)}) {
        font-size: $micro-font-size;
      }
      @include icon(down-open, auto, 0, auto, 0, none);
      &:before {
        position: absolute;
        top: 0.25em;
        left: -0.3em;
        font-size: 1.7rem;
        color: $brand;
      }
      i {
        @include icon(up-open, auto, 0, auto, 0, none);
        &:before {
          position: absolute;
          top: -0.7em;
          left: -0.3em;
          font-size: 1.7rem;
          color: $brand;
        }
      }
    }

    &.problem-above {
      span {
        margin-top: 1em;
        &:before {
          display: none;
        }
      }
    }

    &.problem-below {
      span {
        margin-top: -1em;
        i {
          display: none;
        }
      }
    }

    &.problem-middle {
      span {
        margin-top: 0.1em;

        //from alien app.scss
        white-space: nowrap;

        &:before {
          top: -0.8em;
        }
        i {
          &:before {
            top: 0.3em;
          }
        }
      }
    }

    &.problem-all {
      span {
        margin-top: 0.1em;
        &:before {
          top: -0.8em;
        }
        i {
          &:before {
            top: 0.3em;
          }
        }
      }
    }
  }

  &.situation-frequency {
    display: none;
    img,
    svg {
      width: $picto-height-plus;
      height: 100%;
      //border: $border-width $border-style $border-color;
    }
  }

  &.matrix-information {
    flex-grow: 3;
    flex-direction: column;
    gap: ($padding * 0.25) 0;
  }
  .matrix-info {
    display: flex;
    flex-wrap: nowrap;
    gap: 0 ($padding * 0.5);

    padding-left: $bar-width;
    border-left: ($bar-width * 1) solid $grey-very-very-light;

    span {
      margin: 0;
    }
  }

  // [class*="matrix-info-value-"] {
  //   border-left: $bar-width solid $grey-very-very-light;
  //   padding-left: $bar-width;
  // }

  $matrix-info-value-opacity: 1;

  .matrix-info-value-1 {
    border-color: rgba($white, $matrix-info-value-opacity);
  }
  .matrix-info-value-2 {
    border-color: rgba($grey-very-light, $matrix-info-value-opacity);
  }
  .matrix-info-value-3 {
    border-color: rgba($grey-light, $matrix-info-value-opacity);
  }
  .matrix-info-value-4 {
    border-color: rgba($black, $matrix-info-value-opacity);
  }
  .matrix-info-value-5 {
    border-color: rgba($black, $matrix-info-value-opacity);
  }

  .matrix-info-name {
    @include font-normal;
    letter-spacing: 0;
  }
  .matrix-info-value {
    // min-width: 3.5em;
    // width: 50%;
    @include font-bold;
  }
}

.bulletin-report-expositions {
  display: block;
  
  .bulletin-report-exposition-rose {
    display: block;
    z-index: 10;
  }

  //until 202212
  // div {
  //   position: relative;
  //   height: $picto-height;
  //   width: $picto-height;
  //   img, svg {
  //     display: none;
  //     position: absolute;
  //     top: 0;
  //     left: 0;
  //     right: 0;
  //   }
  // }
  // &.expo_n .expo_n {
  //   display: block;
  // }
  // &.expo_ne .expo_ne {
  //   display: block;
  // }
  // &.expo_e .expo_e {
  //   display: block;
  // }
  // &.expo_se .expo_se {
  //   display: block;
  // }
  // &.expo_s .expo_s {
  //   display: block;
  // }
  // &.expo_sw .expo_sw {
  //   display: block;
  // }
  // &.expo_w .expo_w {
  //   display: block;
  // }
  // &.expo_nw .expo_nw {
  //   display: block;
  // }

}

.bulletin-report-tendency {
  display: flex;
  align-items: center;
  line-height: $header-line-height;
  span {
    display: inline-block;
    &:first-child {
      padding-right: $grid-gutter * 0.25;
    }
    &:last-child {
      font-size: $large-font-size;
      &:before {
        color: $brand;
      }
    }
  }
  strong {
    @include font-heavy;
    @include letter-spacing;
  }
}

.bulletin-report-public-alert {
  @include font-bold;
  @include letter-spacing;

  display: flex;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: flex-start;

  .bulletin-report-public-alert-icon {
    margin: -0.45em 0 0 -0.5em;
    font-size: 1.5em;
    &:before {
      margin: 0;
      color: $warning-color;
    }
  }
  .bulletin-report-public-alert-text {
  }
}

.bulletin-author {
  font-size: $tiny-font-size; //$body-font-size-tiny;
  @include letter-spacing;
  a {
    @include font-heavy;
  }
}

.bulletin-update-diff {
  // position: relative;
  background-color: lighten($green, 55%);
  // background-color: rgba($green, 0.1);
  // outline: rgba($green, 0.1) $bar-width $border-style;
  // background: radial-gradient($green, transparent 50%);
  // outline: $green $border-width dashed;
  // outline: $green $border-width dotted;
  // > * {
  //   background-color: lighten($green, 50%);
  //   outline: $green $border-width dashed;
  // }
  // &:before {
  //   z-index: 100;
  //   content: "";
  //   position: absolute;
  //   display: block;
  //   top: calc(50% - #{$bar-width});
  //   left: calc(50% - #{$bar-width});
  //   width: $bar-width * 2;
  //   height: $bar-width * 2;
  //   background-color: $green;
  //   border-radius: $global-rounded;
  //   filter: blur(5px);
  // }
}

.bulletin-update-diff-border {
  outline: lighten($green, 55%) $bar-width $border-style;
}